#!/bin/sh
KIMG_FILE="uImage.bin"
FSIMG_FILE="rootfs.squash.bin"

KIMG_PATH="/tmp/firmware/fw/"${KIMG_FILE}
FSIMG_PATH="/tmp/firmware/fw/"${FSIMG_FILE}
BASE_VERSION="01.02.13.6930"
CurrFwVer="0000000000"
FW_BIN_VER=01.02.13.6953 # did not edit this line !!!! this will update via the prepare.sh
SHA256_ROOTFS=fc738fd7547ccaaf09f3e61b063109c242ec4c7d9ab9021295ecdd30f0d8e038 # did not edit this line !!!! this will update via the prepare.sh
KIMG_SHA256SUM=f26a639e38f995b97a011283cb935e7deb0a5e1bd50d503e8aa5d1a79a40b62e # did not edit this line !!!! this will update via the prepare.sh
KIMG_SIZE=3073629 # did not edit this line !!!! this will update via the prepare.sh
FSIMG_SIZE=29753344 # did not edit this line !!!! this will update via the prepare.sh

echo "++++++++++ RUN env_setup.sh ++++++++++"

if [ -f /tmp/firmware/fw/smartvue.tar.gz ]
then
    echo "*** /tmp/firmware/fw/smartvue.tar.gz existed. Update to /home/smartvue/ directory!!!"
    mkdir -p /home/smartvue/
    cp -f /tmp/firmware/fw/smartvue.tar.gz /home/smartvue/
    echo 0 > /home/smartvue/.smartvue.status
fi
echo "check the FW version"
CurrFwVer=$(showdb system.information.fw_version | grep "system.information.fw_version=" | awk -F '=' '{print $2}' | sed "s/\.//g")
BaseFwVer=$(echo ${BASE_VERSION} | sed "s/\.//g")
FwBinVer=$(echo ${FW_BIN_VER} | sed "s/\.//g")
echo "current ver is "${CurrFwVer}" base line ver is "${BaseFwVer}" FW bin ver is "${FwBinVer}
if [ $CurrFwVer -lt $BaseFwVer ]; then
    echo " need to convert" 
    touch /mnt/nand/misc/doconverdb
    rm /mnt/nand/misc/cover_info
    echo "fs_sha256="${SHA256_ROOTFS}" fs_size="${FSIMG_SIZE}" kimg_sha256="${KIMG_SHA256SUM}" kimg_size="${KIMG_SIZE} > /mnt/nand/misc/cover_info
    sync
else
    echo " not need to convert"
fi
echo ""${FW_BIN_VER}"" > /tmp/firmware/fw/fwbinver
exit 0
